summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuilherme Amadio <amadio@gentoo.org>2017-08-29 15:40:31 +0200
committerGuilherme Amadio <amadio@gentoo.org>2017-08-29 15:41:39 +0200
commitd6456d27f08bf36829217ab89e81365ab694cdd5 (patch)
tree6675a09cb5472f80561cbe1ccaf01d6399f62456 /dev-util/qmtest
parentdev-util/qmtest: move to EAPI 6 (diff)
downloadgentoo-d6456d27f08bf36829217ab89e81365ab694cdd5.tar.gz
gentoo-d6456d27f08bf36829217ab89e81365ab694cdd5.tar.bz2
gentoo-d6456d27f08bf36829217ab89e81365ab694cdd5.zip
dev-util/qmtest: add prefix support
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'dev-util/qmtest')
-rw-r--r--dev-util/qmtest/qmtest-2.4.1-r1.ebuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/dev-util/qmtest/qmtest-2.4.1-r1.ebuild b/dev-util/qmtest/qmtest-2.4.1-r1.ebuild
index 1f4a13ccb8a..93ad4a8feb9 100644
--- a/dev-util/qmtest/qmtest-2.4.1-r1.ebuild
+++ b/dev-util/qmtest/qmtest-2.4.1-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="http://www.codesourcery.com/public/${PN}/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~mips x86"
+KEYWORDS="amd64 ~mips x86 ~amd64-linux ~x86-linux"
IUSE=""
DEPEND=""
@@ -26,8 +26,8 @@ pkg_setup() {
src_install() {
distutils-r1_src_install
- find "${D}" -name config.py -print0 | xargs -0 sed -i "s:${D}:/usr:"
- rm -r "${D}"usr/share/doc/${PN}/{COPYING,LICENSE.OPL} || die
- mv "${D}"usr/share/doc/${PN}/* "${D}"usr/share/doc/${PF} || die
- rm -r "${D}"/usr/share/doc/${PN} || die
+ find "${ED}" -name config.py -print0 | xargs -0 sed -i "s:${ED}:${EPREFIX}/usr:"
+ rm -r "${ED}"usr/share/doc/${PN}/{COPYING,LICENSE.OPL} || die
+ mv "${ED}"usr/share/doc/${PN}/* "${ED}"usr/share/doc/${PF} || die
+ rm -r "${ED}"/usr/share/doc/${PN} || die
}